| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RpcOperationError Class Reference

Base class for exceptions thrown by the RPC API when the server communicates an error. More...

`#include <RpcOperationError.hpp>`

Inheritance diagram for RpcOperationError:
[legend]

## Public Member Functions

| RpcOperationError (const std::string &message)
| Constructor.
| RpcOperationError (const char *message)
| Constructor.
| RpcOperationError (const RpcOperationError &other) noexcept=default
| Copy constructor.
RpcOperationError & | operator= (const RpcOperationError &other) noexcept=default
| Copy assignment.
virtual | ~RpcOperationError () noexcept=default
| Destructor.
Public Member Functions inherited from RpcException
| RpcException (const std::string &message)
| Constructor.
| RpcException (const char *message)
| Constructor.
| RpcException (const RpcException &other) noexcept=default
| Copy constructor.
RpcException & | operator= (const RpcException &other) noexcept=default
| Copy assignment.
virtual | ~RpcException () noexcept=default
| Destructor.
const char * | what () const noexcept
| Returns the explanatory string.

## Detailed Description

Base class for exceptions thrown by the RPC API when the server communicates an error.

## Constructor & Destructor Documentation

## ◆ RpcOperationError() [1/3]

RpcOperationError | ( | const std::string & | message | ) |

inline

Constructor.

## ◆ RpcOperationError() [2/3]

RpcOperationError | ( | const char * | message | ) |

inline

Constructor.

## ◆ RpcOperationError() [3/3]

RpcOperationError | ( | const RpcOperationError & | other | ) |

default noexcept

Copy constructor.

## ◆ ~RpcOperationError()

virtual ~RpcOperationError | ( |  | ) |

virtual default noexcept

Destructor.

## Member Function Documentation

## ◆ operator=()

RpcOperationError & operator= | ( | const RpcOperationError & | other | ) |

default noexcept

Copy assignment.

The documentation for this class was generated from the following file:

- include/fastdds/dds/rpc/exceptions/RpcOperationError.hpp